/*
 * jSite2 - Tree.java -
 * Copyright © 2008 David Roden
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package net.pterodactylus.util.data;

/**
 * A tree structure in which every node can have an arbitrary amount of
 * children.
 * 
 * @author David ‘Bombe’ Roden &lt;bombe@freenetproject.org&gt;
 * @param <E>
 *            The type of the element to store
 */
public class Tree<E extends Comparable<E>> {

	/** The root node of the tree. */
	private final Node<E> rootNode = new NodeImpl<E>();

	/**
	 * Returns the root node of the tree.
	 * 
	 * @return The root node of the tree
	 */
	public Node<E> getRootNode() {
		return rootNode;
	}

}
